Package docking.widgets.pathmanager

# Class AbstractTypedPropertyEditor<T>

java.lang.Object
docking.widgets.pathmanager.AbstractTypedPropertyEditor<T>

All Implemented Interfaces:
  `PropertyEditor`

public abstract class AbstractTypedPropertyEditor<T> extends Object implements PropertyEditor

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractTypedPropertyEditor()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addPropertyChangeListener(PropertyChangeListener listener)`
  `protected T`
  `cast(Object value)`
  `protected abstract T`
  `fromText(String text)`
  `String`
  `getAsText()`
  `protected T`
  `getInitialValue()`
  `String`
  `getJavaInitializationString()`
  `String[]`
  `getTags()`
  `T`
  `getValue()`
  `boolean`
  `isPaintable()`
  `void`
  `paintValue(Graphics gfx, Rectangle box)`
  `void`
  `removePropertyChangeListener(PropertyChangeListener listener)`
  `void`
  `setAsText(String text)`
  `void`
  `setValue(Object value)`
  `boolean`
  `supportsCustomEditor()`
  `protected String`
  `toText(T value)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.beans.PropertyEditor

  `getCustomEditor`

- ## Constructor Details

  - ### AbstractTypedPropertyEditor

    public AbstractTypedPropertyEditor()

- ## Method Details

  - ### getInitialValue

    protected T getInitialValue()

  - ### cast

    protected T cast(Object value)

  - ### setValue

    public void setValue(Object value)
    Specified by:
      `setValue` in interface `PropertyEditor`

  - ### getValue

    public T getValue()
    Specified by:
      `getValue` in interface `PropertyEditor`

  - ### isPaintable

    public boolean isPaintable()
    Specified by:
      `isPaintable` in interface `PropertyEditor`

  - ### paintValue

    public void paintValue(Graphics gfx, Rectangle box)
    Specified by:
      `paintValue` in interface `PropertyEditor`

  - ### getJavaInitializationString

    public String getJavaInitializationString()
    Specified by:
      `getJavaInitializationString` in interface `PropertyEditor`

  - ### toText

    protected String toText(T value)

  - ### getAsText

    public String getAsText()
    Specified by:
      `getAsText` in interface `PropertyEditor`

  - ### fromText

    protected abstract T fromText(String text)

  - ### setAsText

    public void setAsText(String text) throws IllegalArgumentException
    Specified by:
      `setAsText` in interface `PropertyEditor`
    Throws:
      `IllegalArgumentException`

  - ### getTags

    public String[] getTags()
    Specified by:
      `getTags` in interface `PropertyEditor`

  - ### supportsCustomEditor

    public boolean supportsCustomEditor()
    Specified by:
      `supportsCustomEditor` in interface `PropertyEditor`

  - ### addPropertyChangeListener

    public void addPropertyChangeListener(PropertyChangeListener listener)
    Specified by:
      `addPropertyChangeListener` in interface `PropertyEditor`

  - ### removePropertyChangeListener

    public void removePropertyChangeListener(PropertyChangeListener listener)
    Specified by:
      `removePropertyChangeListener` in interface `PropertyEditor`